Loading...
Searching...
No Matches
firmware::UpdateHistoryEntry Struct Reference

Firmware update history entry TODO: implement CR# 45668 on next interface change add comment field based on firmware tag "char tag[64];" to improve firmware update history entries without rootfs images More...

`import "Firmware.idl";`

## Public Attributes

time | timestamp
| UNIX timestamp (UTC) when the update was started.
string | oldVersion
| Previous firmware version.
string | imageVersion
| Firmware version of update image.
string | imageMD5
| MD5 hash of update image.
UpdateHistoryStatus | status
| Update status.

## Detailed Description

Firmware update history entry TODO: implement CR# 45668 on next interface change add comment field based on firmware tag "char tag[64];" to improve firmware update history entries without rootfs images

Definition at line 29 of file Firmware.idl.

## Member Data Documentation

## imageMD5

string firmware::UpdateHistoryEntry::imageMD5

MD5 hash of update image.

Definition at line 33 of file Firmware.idl.

## imageVersion

string firmware::UpdateHistoryEntry::imageVersion

Firmware version of update image.

Definition at line 32 of file Firmware.idl.

## oldVersion

string firmware::UpdateHistoryEntry::oldVersion

Previous firmware version.

Definition at line 31 of file Firmware.idl.

## status

UpdateHistoryStatus firmware::UpdateHistoryEntry::status

Update status.

Definition at line 34 of file Firmware.idl.

## timestamp

time firmware::UpdateHistoryEntry::timestamp

UNIX timestamp (UTC) when the update was started.

Definition at line 30 of file Firmware.idl.

The documentation for this struct was generated from the following file:

- Firmware.idl